Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Inventor 2023 : Nom du plan automatique a digit restreint

3 RÉPONSES 3
RÉSOLU
Répondre
Message 1 sur 4
christopher.fasquelle
208 Visites, 3 Réponses

Inventor 2023 : Nom du plan automatique a digit restreint

Bonjour à tous,

 

j'aimerais savoir si il est possible de contraindre le nombre de digit visible dans un cartouche en récupérant une partie  du nom de fichier présent dans une ipropriété.

 

Exemple nom du fichier D2290-1210-01.ipt / plan D2290-1210-01.idw / nom dans le cartouche D2290-1220.

 

J'aimerais exclure  le -01 du cartouche.

 

Merci d'avance pour vos réponse j'utilise Inventor 2023.


Le titre du sujet a été modifié par un modérateur pour faciliter la recherche. Titre original:
Nom du plan automatique a digit restreint

3 RÉPONSES 3
Message 2 sur 4

Bonjour @christopher.fasquelle ,

 

De ce que je comprend d'Inventor, il faudrait passez par une règle Illogique, luis faire lire le nom du fichier, enregistrer ce nom dans une string, puis la "raccourcir" au nombre de caractère voulu, ensuite écrire cette String dans un paramètre personnalisé, et appeler ce paramètre dans le cartouche.

 

Je ne suis pas suffisamment calé en Illogique pour traduire ça en VB.NET

j'ai commencer à suivre cette série de tuto en EN qui je pense fournit les outils... https://www.youtube.com/playlist?list=PLx-VY2mDlK2Ey29D-KsYoo_snM38vQxAE

Message 3 sur 4

Bonjour,

Pour suivre les indications de @tristan-haller, vous pouvez essayer de créer une ipropriété personnalisée "MonParam" et ajouter cette ligne de code dans une règle qui sera appelée par un déclencheur :

iProperties.Value("Custom", "MonParam") = Left(ThisApplication.ActiveDocument.displayName, Len(ThisApplication.ActiveDocument.displayName) -7)

Vous récupérez ensuite "MonParam" dans le cartouche.

vpeuvion_0-1657535804729.png

J'espère que cela pourra vous aider. Vincent.

 

Message 4 sur 4

Merci pour vos retours,

j'ai également expérimenté de mon coté et j'arrive a ceci sans passer par une Ipropriété perso :

 

FullFileName = ThisDoc.FileName(False)
MonNom = Left(FullFileName, 9)

iProperties.Value("Project", "Part Number") = MonNom
iLogicVb.UpdateWhenDone = True

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums